%define ver 2.01
%define patchlevel 09
Name:      webalizer
Summary:   A flexible web server log file analysis program
Group:     Applications/Internet
Version:   %{ver}_%{patchlevel}
Release:   0.71
Source0:   ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{ver}-%{patchlevel}-src.tar.bz2
Source1:   webalizer.conf
Source2:   webalizer.cron
Patch0:    webalizer-2.01-06-rh.patch
Patch1:    dns-db1.patch
URL:       http://www.mrunix.net/webalizer/
License:   GPL
Requires:  webserver
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: gd-devel, zlib-devel, libpng-devel

%description
The Webalizer is a web server log analysis program. It is designed to
scan web server log files in various formats and produce usage
statistics in HTML format for viewing through a browser.  It produces
professional looking graphs which make analyzing when and where your
web traffic is coming from easy.


%prep
%setup -q -n %{name}-%{ver}-%{patchlevel}
%patch0 -p1 -b .rh
%patch1 -p1 -b .db1

%build
%configure --enable-dns
perl -pi -e "s/-Wall -O2/$RPM_OPT_FLAGS/" Makefile

make

%install
rm -fr $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir} \
         $RPM_BUILD_ROOT/%{_mandir}/man1 \
         $RPM_BUILD_ROOT/var/www/html/usage \
         $RPM_BUILD_ROOT/etc/cron.daily

%makeinstall

install -m 644 $RPM_SOURCE_DIR/webalizer.conf $RPM_BUILD_ROOT/etc
install -m 644 *.png $RPM_BUILD_ROOT/var/www/html/usage
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/00webalizer

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man1/webalizer.1*
%{_bindir}/*
%config(noreplace) /etc/webalizer.conf
%config(noreplace) /etc/cron.daily/00webalizer
%dir /var/www/html/usage
/var/www/html/usage/*.png

%changelog
* Wed Oct 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.01_09-1
- Update to 2.01-09, fixing security bugs

* Thu Sep 20 2001 Than Ngo <than@redhat.com> 2.01_06-13
- update config file (bug #53881)

* Sun Sep 16 2001 Than Ngo <than@redhat.com> 2.01_06-12
- add patch from author to fix Webalizer dumps core when MangleAgents is set to 1

* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Remove empty post
- Mark the crontab file as config(noreplace) 

* Fri Jul 13 2001 Than Ngo <than@redhat.com> 2.01_06-10
- fix build dependencies (bug #48939)
- Copyright->License

* Fri Jun 15 2001 Than Ngo <than@redhat.com>
- add missing icons (bug #43220)

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- rebuilt for the distro

* Fri May 18 2001 Than Ngo <than@redhat.com>
- don't run webalizer when access log file is empty (Bug #41322)

* Wed Feb 14 2001 Tim Powers <timp@redhat.com>
- enable dns-lookups (patched to use correct db header) (bug #27612)

* Thu Feb  1 2001 Tim Powers <timp@redhat.com>
- make the cronjob called 00webalizer, so that it runs before everything else

* Wed Jan 31 2001 Tim Powers <timp@redhat.com>
- fixed bug 25351, where webalizer was being run after apache is
  logrotated.

* Tue Oct 17 2000 Than Ngo <than@redhat.com>
- update to 2.01-06

* Tue Oct 17 2000 Than Ngo <than@redhat.com>
- fixed wrong OutputDir (bug #19180)

* Thu Aug 3 2000 Tim Powers <timp@redhat.com>
- rebuilt against libpng-1.0.8

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sun Jun 19 2000 Karsten Hopp <karsten@redhat.de>
- rebuild for 7.0
- changed mandir
- changed graph output to png instead of gif
- changed path to apache root (/var/www)

* Mon Nov 08 1999 Bernhard Rosenkrnzer <bero@redhat.com>
- handle RPM_OPT_FLAGS

* Tue Sep 28 1999 Preston Brown <pbrown@redhat.com>
- updated for Secure Web Server 3.1

* Mon May 03 1999 Preston Brown <pbrown@redhat.com>
- initial build for Secure Web Server 3.0
